Update a Custom Field
Updates a custom field
Path Parameters
- Type: integeridrequired
the custom field primary key
Headers
- Type: stringContent
- Type application/json
Body·
application/json
Update payload for a custom field definition. object_ref is not
included — the assigned data level is immutable after creation.
- Type: objectcustom
_field required
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for put/custom_fields/{id}
curl /custom_fields/1 \
--request PUT \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: YOUR_SECRET_TOKEN' \
--data '{
"custom_field": {
"key": "",
"label": "",
"active": true
}
}'
{
"custom_field": {
"id": 1,
"key": "string",
"label": "string",
"object_ref": "string",
"active": true,
"created_at": "2026-06-19T19:21:28.170Z",
"updated_at": "2026-06-19T19:21:28.170Z"
}
}